﻿
using Syncfusion.WinRT.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Data;

namespace SfGrid
{
    public class SummaryConverter : IValueConverter
    {
        object IValueConverter.Convert(object value, Type targetType, object parameter, string language)
        {
            var group = value as Group;


            
            switch (parameter.ToString())
            {
                case "Caption":
                    {
                        return group.Key;
                    }
                    break;
                case "Change":
                    {
                        //var summaryEntry = group.SummaryDetails.SummaryValues.Find(item => item.Name == "ChangeSummary");
                        //var summaryValue = summaryEntry.AggregateValues["Average"];
                        var formattedSummaryValue = string.Format("Custom Summary : {0}", getSummaryStockData(group));
                        return formattedSummaryValue;
                    }
                    break;
                //case "Open":
                //    {
                //        //var summaryEntry = group.SummaryDetails.SummaryValues.Find(item => item.Name == "OpenSummary");
                //        //var summaryValue = summaryEntry.AggregateValues["Average"];
                //        var formattedSummaryValue = string.Format("Some other custom : {0}", group.Records.Count);
                //        return formattedSummaryValue;
                //    }
                //    break;
            }
            return null;
        }

        private double getSummaryStockData(Group group)
        {
            StockData stockData = group.Records[0].Data as StockData;
            return stockData.LastTrade;
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return null;
        }
    }
}
